Skip to content
Last updated

title: Get User By Id keywords:

  • get user by id
  • get
  • user

Get user profile by ID.

GEThttps://api.aitronos.com/v1/user/{user_id}

Path Parameters

user_id string required

The user id parameter.


Returns

id string

User ID with usr_ prefix

email string

Email

username string or null

Username

full_name string or null

Full Name

first_name string or null

First Name

last_name string or null

Last Name

birthday string or null

Birthday

profile_image string or null

Profile Image

timezone string or null

Timezone

country_id string or null

Country Id

post_code string or null

Post Code

gender string or null

Gender

is_active boolean

Is Active

last_verified string or null

Last Verified

last_login string or null

Last Login

created_at string

Created At

updated_at string

Updated At

current_organization_id string or null

Current Organization Id

cURL
curl -X GET "https://api.aitronos.com/v1/user/{user_id}" \
  -H "X-API-Key: $FREDDY_API_KEY"

Response:

200 OK
{
  "id": "usr_abc123def456",
  "email": "user@example.com",
  "username": "user@example.com",
  "full_name": "example_full_name",
  "first_name": "example_first_name",
  "last_name": "example_last_name",
  "birthday": "2025-11-15",
  "profile_image": "example_profile_image",
  "timezone": "example_timezone",
  "country_id": "abc123def456",
  "post_code": "example_post_code",
  "gender": "example_gender",
  "is_active": true,
  "last_verified": "2025-11-15T10:30:00Z",
  "last_login": "2025-11-15T10:30:00Z",
  "created_at": "2025-11-15T10:30:00Z",
  "updated_at": "2025-11-15T10:30:00Z",
  "current_organization_id": "abc123def456"
}